<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class ReportesClientes extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('reportes/Franquiciatario/ReportesClientes_Model');
		$this->load->library(array('session','form_validation'));
	}

	public function index()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
    		$this->load->view('layout/headerFran');
			$this->load->view('layout/menuFranquicia');
			$this->load->view('reportes/Franquiciatario/reporteClientes_view');	
			$this->load->view('layout/footer');
		}
		
	}
	
	public function buscarReportes()
	{
		$filtrar=$_POST['filtrar'];
		$inicio=date("Y-m-d", strtotime($_POST['finicio']));
		$fin=date("Y-m-d", strtotime($_POST['ffin']));
		$inicio2=date("Y-m-d", strtotime($_POST['finicio2']));
		$fin2=date("Y-m-d", strtotime($_POST['ffin2']));
		switch ($filtrar) {
			case "":
				$this->ReportesClientes_Model->todosClientes($inicio, $fin);
				break;
			case "1":
				$this->ReportesClientes_Model->clientesNuevos($inicio, $fin);
				break;
			case "2":
				$this->ReportesClientes_Model->clientesProspecto($inicio, $fin);
				break;
			case "3":
				$this->ReportesClientes_Model->clientesFrecuentes($inicio, $fin);
				break;
			case "4":
				$this->ReportesClientes_Model->cumpleanios($inicio2, $fin2);
				break;
		}
		
	}

// 	public function reporteCumpleanios(){
// 		$inicio = $this->input->post('finicio');
// 		$fin = $this->input->post('ffin');
// 		$inicioF = explode("-",$inicio);
// 		/*$inicioFF = $inicioF[1]."-".$inicioF[2];*/
// 		$FinF = explode("-",$fin);
// /*		$FinFF = $FinF[1]."-".$FinF[2];*/
// 		$query= $this->ReportesCumple_Model->reportesCumpleanios($inicioF,$FinF);
//       	$data = [];


//       foreach($query->result() as $cumple) {
//            $data[] = array(
//                  							 $cumple->NombreCliente,
//                  							 $cumple->FechaNacimientoCliente,
//                                              $cumple->TelefonoCliente,
//                                              $cumple->CelularCliente,
//                                              $cumple->CorreoCliente,
//                                              $cumple->DireccionCliente,
//                                              $cumple->SexoCliente,
//                                              $cumple->EdadCliente,
//                                              $cumple->MedioInformacion,
//                                              $cumple->RecomendadoPor,
//                                              $cumple->Autoriza,
//                                              $cumple->FechaCreacion

                                             
//            );
//       }

//       echo json_encode($data);
	
// 	}	

	


}